# Type alias PluginType

PluginType: {
attributes?: ((arg0) => Attribute[] | Attribute[]);
fieldviews: Record<string, FieldView>;
name: string;
presets?: (([]) => any);
readFromDB?: ((arg0) => any);
readFromFormRecord?: (([arg0, arg1]) => any);
sqlName: string;
validate?: ((arg0) => ((arg0) => boolean));
}

#### Type declaration

- ##### `Optional` attributes?: ((arg0) => Attribute[] | Attribute[])

  - - (arg0): Attribute[] | Attribute[]

    - #### Parameters

      - ##### arg0: any

      #### Returns Attribute[] | Attribute[]

- ##### fieldviews: Record<string, FieldView>

- ##### name: string

- ##### `Optional` presets?: (([]) => any)

  - - ([]): any

    - #### Parameters

      - ##### []: any

      #### Returns any

- ##### `Optional` readFromDB?: ((arg0) => any)

  - - (arg0): any

    - #### Parameters

      - ##### arg0: any

      #### Returns any

- ##### `Optional` readFromFormRecord?: (([arg0, arg1]) => any)

  - - ([arg0, arg1]): any

    - #### Parameters

      - ##### [arg0, arg1]: [arg0: any, arg1: string]

      #### Returns any

- ##### sqlName: string

- ##### `Optional` validate?: ((arg0) => ((arg0) => boolean))

  - - (arg0): ((arg0) => boolean)

    - #### Parameters

      - ##### arg0: any

      #### Returns ((arg0) => boolean)

      - - (arg0): boolean

        - #### Parameters

          - ##### arg0: any

          #### Returns boolean

- Defined in saltcorn-types/base_types.ts:175

Generated using TypeDoc